<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>S05: HTML Foms and Tables</title>
</head>
<body>

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>

			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters
			that can mix up with HTML codes).</em></p>
			<!--Defines an HTML Table-->
			<table border="1">
				<thead>
					<!-- Defines -->
					<tr>
						<th colspan="2">Entity</th>
						<th>Description</th>			
					</tr>
				</thead>
				<tbody>
					<tr>
						<!--Defines table data-->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quoatation mark</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>&ntilde</td>
						<td>lower tilde</td>
					</tr>
					<tr>
						<td>&Utilde;</td>
						<td>Utilde</td>
						<td>upper tilde</td>
					</tr>

				</tbody>
				<!-- Used to group table footer-->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
				<!--End of table elements-->
		</section>

		<section>
			<!--Start of Form Elements-->
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form.</em></p>

			<!--Create an HTML form to capture user inputs-->
			<form action="https://google.com">
				<!--Create a label and allows input field selection
					when clicked-->
				<label for="full_name">Full Name:</label>
				<!--Creates an input field to capture user input-->
				<input type="text" name="full_name" id="full_name" placeholder="Full Name" required>
				<br><br>

				<label for="birth_date">Birth date:</label>
				<input type="date" name="birth_date" id="birth_date" required>
				<br><br>

				<label for="age">Age:</label>
				<input type="number" name="age" id="age" required>
				<br><br>

				<label for="gender">Gender:</label>
				<!--Creates a dropdown menu-->
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select>
				<br><br>

				<label for="notes">Notes:</label><br>
				<!---->
				<textarea name="notes" rows="5" id="id"></textarea>
				<br><br>

				<!-- Radio Buttons-->
				<label for="new_user">New User:</label>
				<input type="radio" name="new_user" id="user-type1">
				<label for="user-type1">Yes</label>

				<input type="radio" name="new_user" id="user-type2">
				<label for="user-type2">No</label>
				<br><br>

				<!--Checkbox-->
				<label>Role:</label><br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label><br>
				<br>

				<!--Create a button that will submit the form data-->
				<button type="submit">Submit</button>
				<!--Create a button to reset the form data-->
				<button type="reset">Reset</button>
			</form>
			<!--End of Form Elements-->
		</section>
	</main>
</body>
</html>